List Site Records
get
/public/v1/site-recordspage[size]integerNumber of results per page. Minimum 1, maximum 100.
Default:25page[number]integerThe page number to retrieve. Use the
last_pagevalue from themetaresponse to determine the total number of pages available.Default:1
Response
200application/jsonPaginated set of SiteRecordResource
dataobject[]required▶Show 9 child attributesHide child attributes
idstringrequiredExample:r1a2b3c4-d5e6-47f8-9a0b-1c2d3e4f5a6bnamestring | nullrequiredExample:Fire Safety Certificatereferencestring | nullrequiredExample:REF-12345statusstringrequiredExample:currentissue_datestring | nullrequiredExample:2024-01-15T00:00:00+00:00expiry_datestring | nullrequiredExample:2025-01-15T00:00:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00siteobjectrequired▶Show 2 child attributesHide child attributes
idstringrequiredExample:s1t2e3a4-b5c6-47d8-9e0f-1a2b3c4d5e6fnamestringrequiredExample:Main Office
record_typeobjectrequired▶Show 2 child attributesHide child attributes
idstringrequiredExample:rt1a2b3c-d4e5-6f7a-8b9c-0d1e2f3a4b5cnamestringrequiredExample:Fire Safety Certificate
metaobjectrequired▶Show 5 child attributesHide child attributes
current_pageintegerrequired≥ 1last_pageintegerrequired≥ 1per_pageintegerrequired≥ 0Number of items shown per page.
totalintegerrequired≥ 0Total number of items being paginated.
allowed_sortsstring[]requiredThe list of allowed sorts for this endpoint.
401Unauthenticated403Authorization error